Debian Bug report logs - #694278
ITP: gpg-remailer -- GnuPG-enabled remailer for mailing lists

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: tony mancill <tmancill@debian.org>

Date: Sat, 24 Nov 2012 23:42:02 UTC

Owned by: tony mancill <tmancill@debian.org>

Severity: wishlist

Fixed in version gpg-remailer/2.55.00-1

Done: tony mancill <tmancill@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, f.b.brokken@rug.nl, danchev@spnet.net, wnpp@debian.org:
Bug#694278; Package wnpp. (Sat, 24 Nov 2012 23:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, f.b.brokken@rug.nl, danchev@spnet.net, wnpp@debian.org. (Sat, 24 Nov 2012 23:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gpg-remailer -- GnuPG-enabled remailer for mailing lists
Date: Sat, 24 Nov 2012 15:39:46 -0800
Package: wnpp
Severity: wishlist
Owner: tony mancill <tmancill@debian.org>

* Package name    : gpg-remailer
  Version         : 2.53.0
  Upstream Author : Frank Brokken <f.b.brokken@rug.nl>
* URL             : https://www.icce.rug.nl/debian/remailer
* License         : GPLv3
  Programming Lang: C++
  Description     : GnuPG-enabled remailer for mailing lists

Encrypting and signing remailer for groups of users/mailing lists.
The original message can be sent to the remailer encrypted and the
remailer will handle decryption and re-encrypting for the list
recipients.

The remailed content bears the signature and/or encryption of the
remailer's GPG key.  For this reason, the remailer is intended to run
from a dedicated user account on a secured system.

The remailer supports a number of configure options related to operation,
including support for:
       o      Multi-part encrypted messages
       o      Encrypted messages containing detached signatures
       o      Various signature requirements for received messages
       o      Conifgurable logging and debugging



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, tony mancill <tmancill@debian.org>:
Bug#694278; Package wnpp. (Sun, 25 Nov 2012 00:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, tony mancill <tmancill@debian.org>. (Sun, 25 Nov 2012 00:42:08 GMT) Full text and rfc822 format available.

Message #10 received at 694278@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: tony mancill <tmancill@debian.org>
Cc: 694278@bugs.debian.org
Subject: Re: Bug#694278: ITP: gpg-remailer -- GnuPG-enabled remailer for mailing lists
Date: Sun, 25 Nov 2012 01:39:54 +0100
Hi,

tony mancill wrote (24 Nov 2012 23:39:46 GMT) :
> * Package name    : gpg-remailer
> [...]
>   Description     : GnuPG-enabled remailer for mailing lists

Just curious: what are the gpg-remailer advantages over schleuder[1]?

[1] http://packages.qa.debian.org/s/schleuder.html



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#694278; Package wnpp. (Sun, 25 Nov 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 25 Nov 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 694278@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: intrigeri <intrigeri@debian.org>
Cc: 694278@bugs.debian.org
Subject: Re: Bug#694278: ITP: gpg-remailer -- GnuPG-enabled remailer for mailing lists
Date: Sun, 25 Nov 2012 09:39:25 -0800
[Message part 1 (text/plain, inline)]
On 11/24/2012 04:39 PM, intrigeri wrote:
> Hi,
> 
> tony mancill wrote (24 Nov 2012 23:39:46 GMT) :
>> * Package name    : gpg-remailer
>> [...]
>>   Description     : GnuPG-enabled remailer for mailing lists
> 
> Just curious: what are the gpg-remailer advantages over schleuder[1]?
> 
> [1] http://packages.qa.debian.org/s/schleuder.html

Hi,

I took a look at schleuder before filing the ITP and they are very
similar in scope.  I'm not a user of schleuder, but key difference I see
is the implementation language - schleuder is written atop Ruby, whereas
gpg-remailer written in C++, so perhaps gpg-remailer is bit
lighter-weight (although I have no evidence for that claim), and thus
perhaps gpg-remailer is preferable on very small system.

So it's fair question.  I think they're quite similar.

Cheers,
tony

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 05 Sep 2013 08:06:08 GMT) Full text and rfc822 format available.

Reply sent to tony mancill <tmancill@debian.org>:
You have taken responsibility. (Sat, 21 Sep 2013 04:03:39 GMT) Full text and rfc822 format available.

Notification sent to tony mancill <tmancill@debian.org>:
Bug acknowledged by developer. (Sat, 21 Sep 2013 04:03:39 GMT) Full text and rfc822 format available.

Message #22 received at 694278-close@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: 694278-close@bugs.debian.org
Subject: Bug#694278: fixed in gpg-remailer 2.55.00-1
Date: Sat, 21 Sep 2013 04:00:35 +0000
Source: gpg-remailer
Source-Version: 2.55.00-1

We believe that the bug you reported is fixed in the latest version of
gpg-remailer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694278@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
tony mancill <tmancill@debian.org> (supplier of updated gpg-remailer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 16 Sep 2013 21:34:35 -0700
Source: gpg-remailer
Binary: gpg-remailer
Architecture: source amd64
Version: 2.55.00-1
Distribution: unstable
Urgency: low
Maintainer: Frank B. Brokken <f.b.brokken@rug.nl>
Changed-By: tony mancill <tmancill@debian.org>
Description: 
 gpg-remailer - Forwards re-encrypted PGP/GPG mail to a group
Closes: 694278
Changes: 
 gpg-remailer (2.55.00-1) unstable; urgency=low
 .
   [ Frank B. Brokken ]
   * New upstream release (contains Copyright-notice stating that GPL V3
     applies)
   * Depends-list updated to contain gnupg | gnupg2 and bsd-mailx
 .
   [ tony mancill ]
   * Update versioned dependency on libbobcat to 3.16.00
   * Update dependency on g++ to g++-4.8
 .
 gpg-remailer (2.54.01-1) unstable; urgency=low
 .
   * New upstream release (contains LICENSE file).
   * Initial Debian upload (Closes: #694278).
Checksums-Sha1: 
 7616f53d070def8b0315bc1028ebb34bbf5cb9e5 2095 gpg-remailer_2.55.00-1.dsc
 6f62992c78318913db13b06601fedb81a8577a22 40147 gpg-remailer_2.55.00.orig.tar.gz
 59573b3299221e731ea24caa73d5b550229e0a2a 3255 gpg-remailer_2.55.00-1.debian.tar.gz
 dfb57cbbb9744b09763b0ef535a9d4bad397d547 52018 gpg-remailer_2.55.00-1_amd64.deb
Checksums-Sha256: 
 d3f1a5ba959cae1e522a389fc7b962e303f519c1f41cfb6484fb72f1ce2084fa 2095 gpg-remailer_2.55.00-1.dsc
 4f9d7461f300d580bfb66cd8d01e2986d808366bbea90504a8bb29a7a557cbbd 40147 gpg-remailer_2.55.00.orig.tar.gz
 a325e8013317b5acbd2761e8a3830fb7e8231d854b97385f796f75a0600d51ac 3255 gpg-remailer_2.55.00-1.debian.tar.gz
 f2222b2f221f9e946775ed85a9bbf9e45fd6cdc9e9851cd4567db9974ff50f11 52018 gpg-remailer_2.55.00-1_amd64.deb
Files: 
 26ac7959668e9bc88e3df081d828dcc3 2095 devel optional gpg-remailer_2.55.00-1.dsc
 843c73c2da7e33b8bebfbad515fa5520 40147 devel optional gpg-remailer_2.55.00.orig.tar.gz
 202ed858533a6b723ac43f99577afef2 3255 devel optional gpg-remailer_2.55.00-1.debian.tar.gz
 97c310598b5894e7179b10d13088ea84 52018 devel optional gpg-remailer_2.55.00-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSOSlOAAoJECHSBYmXSz6W/i4P/38QCNirWzWeZvBwNggMwDsN
D6xBCunGTpm8A1AX55mwwaTtKP/jvNwRra1QOXzfqSN5Yho6f2ormQBTt6cJcbyX
4Y1SPH7bJzOwfD3S+9swuOlh3jx9omzUNj//+z7JGDVMg9iv3mLquM8WRdp/Sbn2
kSZAKAr60UQhspO6phGg/FXxzPgpEj0EFGUkSXLWxkP/KmsRDyIVOE++dlixXQt1
igBNAF8rKCzR96Sn4HzpZao2UjSHjuv46GAl5xToD/QZjU4Zyts7XqKLNj/ZOa2X
gw8mMO73fPjh91WThg3q1myWetAKGcnbi3zRF3ti1uXeQUpHXc10OW0dnNShqko0
i8IxIL9SzoDQC/0BSkYsE3z6gH2lAv+/MzJH0hYtcF+t7latHy2Sse0D/3eIheqr
5IUDk+S7skyFm48KX8CztkF8LCP+ZB/+fcSSQchUSzudaZPPG/sXi9d5Vi0yMKhI
0xgNe+zYCTYNFF5tYuftSx0dWNNwUXFbEiKf9jjHShnE1COuPOazjN3YSUU8bTuM
kF6Cbr3VOICFj58H/JrqJPYeO+kxq5NvEpXqsu1cOYqBVtxGNfgBRB79CkiMK+aC
gT1UQBdneFyBkUPEUWvsOXg4IDfTZoWFrF35M5p24PR1scdJReUDOuDc21XvFLhu
dWbqzqiuCyxqOpLfpyQy
=M3cb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Oct 2013 07:36:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:03:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.